stages:
  - build
  - deploy

before_script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
  
build:
  stage: build
  image: gradle
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/demo-0.0.1-SNAPSHOT.jar

deploy:
  stage: deploy
  script:
    - dpl --provider=heroku --app=$HEROKU_APP_PRODUCTION --api-key=$HEROKU_API_KEY
  only:
    - master

